=== modified file '.quickly'
--- .quickly	2010-09-19 18:20:17 +0000
+++ .quickly	2010-09-19 22:38:19 +0000
@@ -2,4 +2,4 @@
 version = 0.4.2
 template = pandora-build
 project-type = application
-pandora-version = 0.154
+pandora-version = 0.155

=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2010-09-19 18:20:17 +0000
+++ m4/pandora_canonical.m4	2010-09-19 22:38:19 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.154])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.155])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   AC_ARG_ENABLE([fat-binaries],
@@ -23,6 +23,12 @@
   ])
 ])
 
+AC_DEFUN([PANDORA_BLOCK_BAD_OPTIONS],[
+  AS_IF([test "x${prefix}" = "x"],[
+    AC_MSG_ERROR([--prefix requires an argument])
+  ])
+])
+
 dnl The standard setup for how we build Pandora projects
 AC_DEFUN([PANDORA_CANONICAL_TARGET],[
   AC_REQUIRE([PANDORA_FORCE_DEPEND_TRACKING])
@@ -66,6 +72,8 @@
     AC_CONFIG_HEADERS([config.h])
   ])
 
+  PANDORA_BLOCK_BAD_OPTIONS
+
   # We need to prevent canonical target
   # from injecting -O2 into CFLAGS - but we won't modify anything if we have
   # set CFLAGS on the command line, since that should take ultimate precedence

